Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 99449 - Move to the new preference API
Move to the new preference API
Status: VERIFIED FIXED
Product: uml
Classification: Unclassified
Component: General
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Kris Richards
issues@uml
plan60
: UI
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-29 20:07 UTC by Trey Spiva
Modified: 2007-06-20 14:40 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Trey Spiva 2007-03-29 20:07:10 UTC
It would be best to move to the same way that NetBeans handles preference data.
Comment 1 Trey Spiva 2007-03-29 20:08:16 UTC
To get more information about the preference API see the Javadoc

http://www.netbeans.org/project/www/download/dev/javadoc/org-openide-util/org/openide/util/doc-
files/preferences.html
Comment 2 Kris Richards 2007-06-04 12:32:05 UTC
see http://wiki.netbeans.org/wiki/view/UMLOptionsDialog
Comment 3 Andrew Korostelev 2007-06-08 14:59:25 UTC
movement will be considered as finished when new API will be used by remaining tool.
Now most options have no reaction on UML tool.
I reopen this issue.
Comment 4 Andrew Korostelev 2007-06-09 14:59:47 UTC
verified in netbeans-hudson-trunk-514-full.zip (070609)

preferences that doesn't work:
General Tab:
    Show aliases (issue 106202)
    Prompt to save project
    Open Project diagrams
Diagrams Tab:
    Automatically resize elements
    Display compartment titles
    Display empty lists
    reconnect to presentation boundary (old issue 86056)
    resize to show aliases (blocked by issue 106202)
    show stereotype icons (using <<target>> as an example)
    Gradient background
java platform Tab:
    see issue 106112
    getter/setter/prefix (blocked by issue 105265)
    collection override default
Dialogs Tab:
    allow lengthy searches
    ..the rest..

Templates tab options are tested separately.
Comment 5 Kris Richards 2007-06-13 15:16:35 UTC
the bulk of these issues are resolved. Any remaining issues need to be filed separately.
Comment 6 Andrew Korostelev 2007-06-20 14:40:58 UTC
list of separate issues were filed for options subcomponent.
This issue is verified according to agreement.

verified in netbeans-hudson-trunk-980-full (Build 070620)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo